From 3e980c391326720c87d58d0c5ae7437a9514862a Mon Sep 17 00:00:00 2001
From: Mathieu Trudel-Lapierre <mathieu.trudel-lapierre@canonical.com>
Date: Tue, 27 May 2014 08:58:55 +0200
Subject: UrfArbitrator: really don't fail if /dev/rfkill isn't available.

Signed-off-by: Mathieu Trudel-Lapierre <mathieu.trudel-lapierre@canonical.com>

diff --git a/src/urf-arbitrator.c b/src/urf-arbitrator.c
index 077c72e..311e5ce 100644
--- a/src/urf-arbitrator.c
+++ b/src/urf-arbitrator.c
@@ -563,18 +563,11 @@ urf_arbitrator_startup (UrfArbitrator *arbitrator,
 	if (fd < 0) {
 		if (errno == EACCES)
 			g_warning ("Could not open RFKILL control device, please verify your installation");
-		return FALSE;
 	} else {
 		/* Disable rfkill input */
 		ioctl(fd, RFKILL_IOCTL_NOINPUT);
 
 		priv->fd = fd;
-	}
-
-	/* Set initial flight mode state from persistence */
-	if (priv->persist)
-		urf_arbitrator_set_flight_mode (arbitrator,
-		                                urf_config_get_persist_state (config, RFKILL_TYPE_ALL));
 
 	while (1) {
 		ssize_t len;
@@ -612,6 +605,13 @@ urf_arbitrator_startup (UrfArbitrator *arbitrator,
 					 G_IO_IN | G_IO_HUP | G_IO_ERR,
 					 (GIOFunc) event_cb,
 					 arbitrator);
+	}
+
+	/* Set initial flight mode state from persistence */
+	if (priv->persist)
+		urf_arbitrator_set_flight_mode (arbitrator,
+		                                urf_config_get_persist_state (config, RFKILL_TYPE_ALL));
+
 
 	if (priv->persist) {
 		/* Set all the devices that had saved state to what was saved */ 
